> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Categories

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml post /catalog/v0/categories
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /catalog/v0/categories:
    post:
      tags:
        - Catalog Push API (v0)
      summary: Upsert Categories
      operationId: upsert_categories_catalog_v0_categories_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertCategoriesRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpsertCategoriesRequest:
      properties:
        merchant:
          type: string
          title: Merchant
        categories:
          items:
            $ref: '#/components/schemas/APICategory-Input'
          type: array
          title: Categories
      additionalProperties: false
      type: object
      required:
        - merchant
        - categories
      title: UpsertCategoriesRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APICategory-Input:
      properties:
        category_id:
          type: string
          title: Category Id
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        locale_attributes:
          items:
            $ref: >-
              #/components/schemas/realtime__routes__catalog_routes__APICategory__APILocaleAttributes
          type: array
          title: Locale Attributes
        store_attributes:
          title: Store Attributes
        display_breadcrumb:
          type: boolean
          title: Display Breadcrumb
          default: true
        appear_in_quicklinks:
          type: boolean
          title: Appear In Quicklinks
          default: false
        show_in_filter:
          type: boolean
          title: Show In Filter
          default: true
        show_in_search_suggestions:
          type: boolean
          title: Show In Search Suggestions
          default: true
      additionalProperties: false
      type: object
      required:
        - category_id
        - locale_attributes
      title: APICategory
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    realtime__routes__catalog_routes__APICategory__APILocaleAttributes:
      properties:
        locale_id:
          type: string
          title: Locale Id
        title:
          type: string
          title: Title
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
      additionalProperties: false
      type: object
      required:
        - locale_id
        - title
      title: APILocaleAttributes
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````